<?php

declare(strict_types=1);

namespace FiloBlu\Csp\Api;

use FiloBlu\Csp\Api\Data\ConfigurationInterface;

/**
 * CSP mode config manager.
 *
 * Responsible for CSP mode configurations like report-only/restrict modes, report URL etc.
 */
interface ConfigManagerInterface
{
    /**
     * Load CSP config.
     *
     * @return ConfigurationInterface
     * @throws \RuntimeException When failed to retrieve configurations.
     */
    public function getConfiguration(): ConfigurationInterface;

    /**
     * Load config value for a single CSP policy
     *
     * @param $policyConfigPath
     * @return string|null
     */
    public function getPolicyValue($policyConfigPath);
}
