<?php
declare(strict_types=1);

namespace FiloBlu\Csp\Api;

use Magento\Framework\App\Response\HttpInterface as HttpResponse;

/**
 * Renders configured CSPs
 */
interface CspRendererInterface
{
    /**
     * Render configured CSP for the given HTTP response.
     *
     * @param HttpResponse $response
     * @return void
     */
    public function render(HttpResponse $response);
}
