<?php

namespace FiloBlu\Csp\Model\Data;

use FiloBlu\Csp\Api\Data\ConfigurationInterface;

class Configuration implements ConfigurationInterface
{

    /**
     * @var bool
     */
    private $isCspEnabled;

    /**
     * @var bool
     */
    private $reportOnly;

    /**
     * @var string|null
     */
    private $reportUri;


    /**
     * @inheritDoc
     */
    public function isCspEnabled(): bool
    {
        return $this->isCspEnabled;
    }

    /**
     * @inheritDoc
     */
    public function isReportOnly(): bool
    {
        return $this->reportOnly;
    }

    /**
     * @inheritDoc
     */
    public function getReportUri(): string
    {
        return $this->reportUri;
    }

    public function __construct(
        bool $isCspEnabled,
        bool $isReportOnly,
        $reportUri
    ) {
        $this->isCspEnabled = $isCspEnabled;
        $this->reportOnly = $isReportOnly;
        $this->reportUri = $reportUri;
    }
}